from sqlalchemy import Column, Integer, String,DateTime, func, ForeignKey
from sqlalchemy.orm import relationship
from app import db
from sqlalchemy.ext.declarative import declarative_base

Base: declarative_base = db.Model
class AdvFrameType(Base):
    __tablename__ = "adv_frame_type"
    adv_frame_type_id = Column(Integer, primary_key=True)
    device_id = Column(Integer, ForeignKey('devices.device_id'), nullable=False)
    call_action = Column(String, nullable=True)
    count = Column(Integer, nullable=True)
    notify = Column(Integer, default=1)
    dt_mac = Column(String, nullable=True)
    created_at = Column(DateTime(timezone=True), default=func.now())
    updated_at = Column(DateTime(timezone=True), default=func.now())

    device = relationship("Device", back_populates="adv_frame_types")